" Save value of 'hlsearch' into a variable, and disable it
function! insert_suspend_hlsearch#Suspend() abort
  let s:hlsearch = &hlsearch
  let &hlsearch = 0
endfunction

" Restore the value of 'hlsearch' if suspended
function! insert_suspend_hlsearch#Restore() abort
  if !exists('s:hlsearch')
    return
  endif
  let &hlsearch = s:hlsearch
  unlet s:hlsearch
endfunction
